/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLMarqueeElement_H__
#define __GdomHTMLMarqueeElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLMarqueeElement GdomHTMLMarqueeElement;
typedef struct _GdomHTMLMarqueeElementClass GdomHTMLMarqueeElementClass;


#define GDOM_TYPE_HTML_MARQUEE_ELEMENT            (gdom_html_marquee_element_get_type())
#define GDOM_HTML_MARQUEE_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_MARQUEE_ELEMENT, GdomHTMLMarqueeElement))
#define GDOM_HTML_MARQUEE_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_MARQUEE_ELEMENT, GdomHTMLMarqueeElement)Class)
#define GDOM_IS_HTML_MARQUEE_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_MARQUEE_ELEMENT))
#define GDOM_IS_HTML_MARQUEE_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_MARQUEE_ELEMENT))
#define GDOM_HTML_MARQUEE_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_MARQUEE_ELEMENT, GdomHTMLMarqueeElementClass))

typedef struct _GdomHTMLMarqueeElementPrivate GdomHTMLMarqueeElementPrivate;

struct _GdomHTMLMarqueeElement {
    GdomHTMLElement parent_instance;
    GdomHTMLMarqueeElementPrivate *priv;
};

struct _GdomHTMLMarqueeElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_marquee_element_get_type (void);

WEBKIT_API void
gdom_html_marquee_element_start (GdomHTMLMarqueeElement *thiz);

WEBKIT_API void
gdom_html_marquee_element_stop (GdomHTMLMarqueeElement *thiz);

G_END_DECLS

#endif /* __GdomHTMLMarqueeElement_H__ */
